Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PhysicalOutStream Class Reference

The base class for physical out streams. More...

`#include <OutStreams.h>`

Inheritance diagram for PhysicalOutStream:

[legend]
List of all members.

## Public Member Functions
virtual void | writeToStream (const void *p, int size)=0
| The function writes a number of bytes into a physical stream.

## Detailed Description

The base class for physical out streams.

Derivates of PhysicalOutStream only handle the writing of data to a medium, not of formating data.

Definition at line 23 of file OutStreams.h.

## Member Function Documentation

virtual void PhysicalOutStream::writeToStream | ( | const void * | p,
|  | int | size
| ) | `[pure virtual]`

  | The function writes a number of bytes into a physical stream. Parameters:
  p | The address the data is located at.
  size | The number of bytes to be written.
Implemented in OutMessageQueue, OutFile, OutMemory, and OutSize. Referenced by OutTextRaw::writeChar(), OutText::writeChar(), OutBinary::writeChar(), OutBinary::writeData(), OutTextRaw::writeDouble(), OutText::writeDouble(), OutBinary::writeDouble(), OutTextRaw::writeEndL(), OutText::writeEndL(), OutTextRaw::writeFloat(), OutText::writeFloat(), OutBinary::writeFloat(), OutTextRaw::writeInt(), OutText::writeInt(), OutBinary::writeInt(), OutTextRaw::writeLong(), OutText::writeLong(), OutBinary::writeLong(), OutTextRaw::writeShort(), OutText::writeShort(), OutBinary::writeShort(), OutBinary::writeString(), OutTextRaw::writeString(), OutText::writeString(), OutTextRaw::writeUChar(), OutText::writeUChar(), OutBinary::writeUChar(), OutTextRaw::writeUInt(), OutText::writeUInt(), OutBinary::writeUInt(), OutTextRaw::writeULong(), OutText::writeULong(), OutBinary::writeULong(), OutTextRaw::writeUShort(), OutText::writeUShort(), and OutBinary::writeUShort().

The documentation for this class was generated from the following file:

- Tools/Streams/OutStreams.h